For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all products
      • POSTCreate a product
      • PUTUpdate or create a product (upsert)
      • GETGet a product
      • DELDelete a product
      • PATCHUpdate a product
      • POSTActivate a product
      • POSTDeprecate a product
      • POSTArchive a product
      • POSTSearch products.
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIProducts

Get a list of all products

GET
/v:version/products
GET
/v:version/products
$curl https://test.api.solvimon.com/v1/products \
> -H "X-API-KEY: <apiKey>"
1{
2 "data": [
3 {
4 "object_type": "string",
5 "id": "string",
6 "category_id": "string",
7 "category": {
8 "object_type": "string",
9 "id": "string",
10 "name": "string",
11 "reference": "string",
12 "description": "string",
13 "tax_category": "STANDARD",
14 "display_order": 1,
15 "customer_id": "string"
16 },
17 "parent_product_id": "string",
18 "name": "string",
19 "reference": "string",
20 "description": "string",
21 "status": "DRAFT",
22 "product_type": "DEFAULT",
23 "tax_category": "STANDARD",
24 "features": [
25 {
26 "id": "string",
27 "reference": "string"
28 }
29 ],
30 "custom_fields": [
31 {
32 "id": "string",
33 "reference": "string",
34 "value": "string",
35 "values": [
36 "string"
37 ],
38 "integration_details": {
39 "id": "string",
40 "reference": "string",
41 "payment_gateway_variant": "ADYEN",
42 "adyen": {
43 "recurring_detail_reference": "string"
44 },
45 "stripe": {
46 "payment_method_id": "string"
47 }
48 }
49 }
50 ],
51 "display_order": 1,
52 "linked_integrations": [
53 {
54 "id": "string",
55 "link_details": [
56 {
57 "url": "string",
58 "custom_field_name": "string"
59 }
60 ]
61 }
62 ],
63 "billing_entity_id": "string",
64 "customer_id": "string"
65 }
66 ],
67 "links": {
68 "first": "string",
69 "previous": "string",
70 "current": "string",
71 "next": "string"
72 },
73 "limit": 1,
74 "page": 1,
75 "total_number_of_pages": 1
76}
Requires the PRODUCT.VIEW permission.
Was this page helpful?
Previous

Create a product

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Query parameters

statuses[]list of stringsOptional

Filter products based on product status(es)

expand[]list of stringsOptional
The id fields of the resources that are going to be expanded.
custom_fieldstringOptional
Filter the response by a custom field value.
product_category_idstringOptional
Filter the response by a product category value.
customer_idstringOptional
The resource id of the customer.

Response

OK
datalist of objects
linksobject
limitinteger or null
pageinteger or null
total_number_of_pagesinteger or nullDeprecated

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error